MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001015XdebugFeature/Change requestpublic2013-12-16 14:212015-02-22 14:30
Reporterzburnham 
Assigned Toderick 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2.3 
Target VersionFixed in Version2.3.0 
Summary0001015: Set display_errors and error_reporting to immutable values
DescriptionFrequently with an unfamiliar/unclear/obscure codebase, error_reporting() and the ini setting display_errors get set to unwanted values, and as a result errors are not displayed that may be useful for debugging purposes. It would be nice if xdebug provided the ability to define those values immutably before the runtime sets them to unwanted values for debugging. Something like 'xdebug.stubborn_error_reporting' and 'xdebug.stubborn_display_errors'. xdebug.scream does help, but that's not exactly what I'm talking about.
Steps To ReproduceHave an unfamiliar codebase which disables / lowers error reporting and is giving you a white screen.
TagsNo tags attached.
Operating System
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0002662)
derick (administrator)
2014-01-07 23:01

I've added the xdebug.force_display_errors setting to force the display of
errors. I've also added the xdebug.force_error_reporting setting which acts
like a bitmask of errors that are force to be on. So that means that
xdebug.force_error_reporting=E_WARNING|E_USER_WARNING will make Xdebug *always*
display those two error types, regardless of what ini_set('error_reporting',
…); does. You can use xdebug.force_error_reporting=-1 to force the display of
all errors. xdebug.force_error_reporting can also be set through ini_set(),
although I perhaps will disable that later (to prevent "clever" scripts). What do you think? Is that necessary?
(0002663)
derick (administrator)
2014-01-08 22:45

I've made the xdebug.force_display_errors and xdebug.force_error_reporting settings only settable in php.ini - and added some test cases.

- Issue History
Date Modified Username Field Change
2013-12-16 14:21 zburnham New Issue
2014-01-07 23:01 derick Note Added: 0002662
2014-01-07 23:01 derick Status new => resolved
2014-01-07 23:01 derick Fixed in Version => 2.3dev
2014-01-07 23:01 derick Resolution open => fixed
2014-01-07 23:01 derick Assigned To => derick
2014-01-08 22:45 derick Note Added: 0002663
2014-01-08 22:45 derick Status resolved => closed
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker